
#ifndef _LANGUAGE_H
#define _LANGUAGE_H

#include "script.h"
#include "def.h"

#ifdef __cplusplus
extern "C" {
#endif

extern SCRIPT_FILE *Language_File;

BOOL Language_Load(const char *);
void Language_Free(void);

#define Language_GetString(name, def, buf, bufsize) \
  Script_GetString(Language_File, name, def, 0, buf, bufsize, (BOOL *)0)

#ifdef __cplusplus
}
#endif

#endif // _LANGUAGE_H
